{% extends 'admin/base.html.twig' %}

{% block title %}Edition d'une annonce n°{{ad.id}}{% endblock %}

{% form_theme form _self %}

{% block body %}

<div class="container-fluid">
    <h1 class="maTmaB tac">Modifier l'annonce : {{ ad.title }}</h1>

    {{ form_start(form) }}

    <div class="row">
        <div class="col">
            <div class="card bg-light">
                <div class="card-header">
                    <h4 class="card-title">Corriger l'annonce ?</h4>
                </div>
                <div class="card-body">
                    {{ form_widget(form) }}

                    <button type="submit" class="btn btn-primary">
                        <i class="fas fa-check"></i>
                        Enregistrer les modifications
                    </button>
                </div>
            </div>
        </div>
        <div class="col">
            <div class="card bg-light">
                <div class="card-header">
                    <h4 class="card-title">Les réservations</h4>
                </div>
                <div class="card-body">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Voyageur</th>
                                <th>Date de réservation</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for booking in ad.bookings %}
                            <tr>
                                <td>{{booking.id}}</td>
                                <td>{{booking.booker.fullName}}</td>
                                <td>{{booking.createdAt | date('d/m/Y H:i')}}</td>
                                <td>
                                    <a href="#" class="btn btn-primary">
                                        <i class="fas fa-pen"></i>
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card bg-light mt-5">
                <div class="card-title">
                    <h4 class="card-title">Les commentaires</h4>
                </div>
                <div class="card-body">
                    <table class="table">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Loueur</th>
                                <th>Note</th>
                                <th>Commentaire</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for comment in ad.comments %}
                            <tr>
                                <td>{{comment.id}}</td>
                                <td>{{comment.author.fullName}}</td>
                                <td>{{comment.createdAt | date('d/m/Y H:i')}}</td>
                                <td>{{comment.content | date('d/m/Y H:i')}}</td>
                                <td>
                                    <a href="#" class="btn btn-primary">
                                        <i class="fas fa-pen"></i>
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    {{ form_end(form) }}

</div>

{% endblock %}

{% block _ad_images_widget %}
    {{ form_widget(form) }}
{% endblock %}

{% block _ad_images_entry_row %}
    <div id="block_{{id}}">
        {{ form_widget(form) }}
    </div>
{% endblock %}

{% block _ad_images_entry_widget %}
    <div class="row align-items-center mb-5">
        <div class="col-4">
        {% if value %}
            <img src="{{value.url}}" class="img-fluid" alt="" />
        {% endif %}
        </div>
        <div class="col-6">
            {{ form_row(form.caption) }}
        </div>
        <div class="col">
            <button type="button" class="btn btn-danger" data-action="delete" data-target="#block_{{id}}">
                <i class="fas fa-trash"></i>
            </button>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        $(docment).ready(function(){
            $('[data-action="delete"]').on('click',function(){
                const target = this.dataset.target;
                $(target).remove();
            });
        });

    </script>

{% endblock %}